[SOLVED] Possible bug with PHP version setting

Hi Marko,

GUI 980
image

GUI 9090 Cockpit
image

With: (yesterday)
yum install nethserver-php-scl --enablerepo=stephdl

No "/"
SetHandler "proxy:unix:/var/run/php73-php-fpm/VHOSTNAME-php73.sock|fcgi://localhost"

image


NinjaFirewall of VHOSTNAME switched by itself to Full WAF because user.ini was already created from an earlier attempt to switch to Full WAF.
image

Michel-André

i repeated it:
-rw-r--r-- 1 root root 12531 Nov 20 22:22 virtualhosts.conf

SetHandler "proxy:unix:/var/run/rh-php73-php-fpm/xxxxxxxxxxxxx-php73.sock|fcgi://localhost/"

again fall back to Wordpress WAF

Hi Marko,

So it is not in Full WAF, meaning it is not working ?

Michel-André

Hi Michel-Andre, In fact, it does not work for me. But I’m not sure if the patch landed on my server at all. Which files could I check on?

best regards, MArko

testing packages are in 7.9.2009 testing repo, not on the currently stable one.

1 Like

rpm -qa | grep nethserver-php-scl
rpm -qa | grep nethserver-httpd

my bad you are right for nethserver-httpd* however my rpm is available on my repo

FYI nethgui is not more installed with 7.9, it is time to never use it anymore

pick the URL of the rpm and install with

yum install url1 url2 url3

this is cockpit, you have to install the patch from nethserver-httpd-\* from 7.9 repository

[root@ns-srv01 ~]# rpm -qa | grep nethserver-php-scl
nethserver-php-scl-1.3.2-1.ns7.sdl.x86_64
[root@ns-srv01 ~]# rpm -qa | grep nethserver-httpd
nethserver-httpd-3.11.3-1.ns7.noarch
nethserver-httpd-admin-2.5.1-1.ns7.noarch
nethserver-httpd-virtualhosts-3.11.3-1.ns7.noarch
[root@ns-srv01 ~]#

my bad you are right for nethserver-httpd* however my rpm is available on my repo
FYI nethgui is not more installed with 7.9, it is time to never use it anymore

I think I will wait until when 7.9 was released.

1 Like

Hi Stéphane,

I am not a programmer let alone a developer, but I believe it is premature not to install NethGUI in version 7.9.
There are refinements to do in Cockpit before letting NethGUI down.
For one, Cockpit doesn’t seem to be picking up the right information:
Example:

image

My 2 cents,

Michel-André

Compared implementations use different package sources:

Hi Marc,

Will this apply to: NethServer 7.9.2009 is under work ?

Michel-André

Yes, the same applies.
NethGUI will be available for new installs but not installed by default.

Hi Marc,

Thank you for the clarification.

Michel-André

I am thinking to remove nethserver-php-scl from my repository, it brings more question than it solves issues :-?

https://wiki.nethserver.org/doku.php?id=php-scl#php_by_software_collections

trying to explain

Salut Stéphane,

It worked very well for me and solved the issue with Ninjafirewall which is now working correctly.

I trust you and I will support your decision whatever it is

Michel-André

2 Likes

please not. There are no problems only challenges. :slight_smile:

just dropped a note in the wiki page by now…

1 Like